=== debug/Makefile ===
#
# VME Linux/m68k Loader Debug Utilities
#
# Makefile
#

CC =		gcc
CFLAGS =	-O2 -fomit-frame-pointer -Wall


OBJS =		dumpmapfile


All:		$(OBJS)


# Targets:

dumpmapfile:	dumpmapfile.c ../vmelilo.h ../loader.h
		$(CC) $(CFLAGS) -o dumpmapfile dumpmapfile.c


# Clean up

clean:
		rm -f dumpmapfile
