=== debian/changelog ===
vmelilo (1.1.1-1) frozen unstable; urgency=high

  * Bootloader now displays version number.
  * Added 'callmonitor' usage warning in man page.
  * Fixed MVME IPL code to actually load at address 0x10000 like it's
    supposed to.

 -- Nick Holgate <holgate@debian.org>  Mon, 23 Nov 1998 00:53:00 +0000

vmelilo (1.1.0-1) frozen unstable; urgency=high

  * Recompiled using 68060 specific optimisations to prevent generation
    of unimplmented integer instruction exceptions when booting MVME172's
  * Fixed uninitialised field in MVME boot block.
    Courtesy of Richard Hirst <richard@sleepie.demon.co.uk>
  * Fixed MVME file read routines to cope with 'holes'.
    Courtesy of Richard Hirst <richard@sleepie.demon.co.uk>
  * Implemented 'callmonitor' configuration parameter for MVME.
  * Recoded MVME print formatter.
  * Bootloader now operates entirely in DRAM and loads at address 0x10000,
    this allows the bootroms to be configured to use the lower 64K for local
    storage instead of the battery backed SRAM.

 -- Nick Holgate <holgate@debian.org>  Fri, 20 Aug 1998 00:28:00 +0000

vmelilo (1.0.3-1) unstable; urgency=low

  * Rewritten command line parser to use getopt_long().
  * Fixed problem where if --loader option was specified before --root
    the loader name would not be prefixed with the root directory name.

 -- Nick Holgate <holgate@debian.org>  Wed, 5 Aug 1998 10:27:00 +0100

vmelilo (1.0.2-1) unstable; urgency=low

  * Removed dependency on 2.1.xx kernel includes.
  * Moved large I/O buffers in loader from stack to heap storage.
  * Removed arbitrary 2Mb minimum ram size requirement from loader.
  * Moved loader global variables into heap allocated storage to
    reduce loader file size.

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Thu, 30 Jul 1998 13:40:00 +0100

vmelilo (1.0.1-1) unstable; urgency=low

  * Fixed problem with mvme loader disk read trying to read partial disk block
    at end of file if file size was not multiple of disk block size.
    Problem found and fixed by Richard Hirst <richard@sleepie.demon.co.uk>

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Fri, 24 Jul 1998 10:20:00 +0100

vmelilo (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Fri, 17 Jul 1998 01:26:51 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "holgate@debian.org"
End:
