=== debian/control ===
Source: vmelilo
Section: base
Priority: optional
Maintainer: Nick Holgate <holgate@debian.org>
Standards-Version: 2.4.1

Package: vmelilo
Architecture: m68k
Depends: ${shlibs:Depends}
Description: Linux kernel boot loader for m68k VME processor boards.
 Vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
 loader allowing direct booting from disk.  Includes support for Linux
 version 2.0 and 2.1 kernels in addition kernels may be compressed with gzip.
 Currently vmelilo supports BVM and Motorola processor boards.
