## vmelilo 1.3.2-1

=== Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for VME Linux/m68k Loader
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#
#

DESTDIR				=
BINDIR				=	/sbin
MANDIR				=	/usr/man
LDRINC				=	loader/include

ifneq ($(shell uname -m),m68k)
 CROSS_COMPILE		=	m68k-linux-
else
 CROSS_COMPILE		=	
endif

AS					=	$(CROSS_COMPILE)as
LD					=	$(CROSS_COMPILE)ld
CC					=	$(CROSS_COMPILE)gcc
STRIP				=	$(CROSS_COMPILE)strip
INSTALL				=	install
MAKE				=	make

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -I$(LDRINC)

SUBDIRS				=	utils loader/bvme loader/mvme

OBJS				=	vmelilo.o geometry.o config.o \
						loader/bvme/bvme.o \
						loader/mvme/mvme.o

##--------------------------------------------------------------------------##
# Targets
#

.PHONY:			all
all:			subdirs vmelilo

.PHONY:			subdirs
subdirs:
				for i in $(SUBDIRS); do $(MAKE) -C $$i; done

vmelilo:		$(OBJS) Makefile
				$(CC) $(OBJS) -o vmelilo
				$(STRIP) -R .note -R .comment vmelilo

##--------------------------------------------------------------------------##
# Dependencies
#

vmelilo.o:		vmelilo.c  vmelilo.h version.h $(LDRINC)/loaderdefs.h
config.o:		config.c   vmelilo.h version.h $(LDRINC)/loaderdefs.h
geometry.o:		geometry.c vmelilo.h version.h $(LDRINC)/loaderdefs.h

##--------------------------------------------------------------------------##
# Installation
#

.PHONY:		install install-bin install-man
install:	install-bin install-man

install-bin: vmelilo
	$(INSTALL) -o root -g root -m 0755 vmelilo             $(DESTDIR)$(BINDIR)/

install-man:
	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.8      $(DESTDIR)$(MANDIR)/man8/
	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.conf.5 $(DESTDIR)$(MANDIR)/man5/

##--------------------------------------------------------------------------##
# Clean up
#

.PHONY:			clean
clean:
				rm -f vmelilo *.o
				for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done

##--------------------------------------------------------------------------##
# General rules
#

%.o:			%.c
				$(CC) $(CFLAGS) -c $< -o $*.o

##-----------------------------< end of file >------------------------------##
