=== utils/Makefile ===

LDRINC				=	../loader/include

ifneq ($(shell uname -m),m68k)
 CROSS_COMPILE		=	m68k-linux-
else
 CROSS_COMPILE		=	
endif

CC					=	$(CROSS_COMPILE)gcc
CFLAGS				=	-O2 -fomit-frame-pointer -Wall -I../loader/include

HOSTCC				=	gcc
HOSTCFLAGS			=	-Wstrict-prototypes -O2 -fomit-frame-pointer -Wall

OBJS				=	dumpmap bin2data

all:			$(OBJS)

bin2data:		bin2data.c
				$(HOSTCC) $(HOSTCFLAGS) -O bin2data.c -o bin2data

dumpmapfile:	dumpmapfile.c ../vmelilo.h ../version.h $(LDRINC)/loaderdefs.h
				$(CC) $(CFLAGS) -o dumpmap dumpmap.c

clean:
				rm -f $(OBJS)


.PHONY: all clean
