=== loader/bvme/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for BVME4000/6000 parts of vmelilo.
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#

##--------------------------------------------------------------------------##

TOPDIR				=	../..

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
						-I$(TOPDIR) -I$(LDRINC) -I.
AFLAGS				=	-Wa,-m68060

##--------------------------------------------------------------------------##
# Targets
#

all: bvme.o

##--------------------------------------------------------------------------##
# Clean up
#

clean:
	rm -f *.o *.data *.bin *.map

##--------------------------------------------------------------------------##

include ../Rules.make

##--------------------------------------------------------------------------##
# Dependencies
#

bvme.o:			bvme.c bvmbug.h bvmeipl.data bvmeloader.data \
				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
				$(LDRINC)/loaderdefs.h config.h

bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.ld
				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) bvmeloader.o \
					-o bvmeloader.bin -oformat binary -M >bvmeloader.map
				$(BIN2DATA) bvmeloader.bin bvmeloader_code > $@

bvmeipl.data:	bvmeipl.o loader.ld
				$(LD) -T loader.ld bvmeipl.o -o bvmeipl.bin \
					-oformat binary -M >bvmeipl.map
				$(BIN2DATA) bvmeipl.bin bvmeipl_code > $@


bvmeloader.o:	bvmeloader.c bvmbug.h $(LOADER_COMMON_INCS)


##-----------------------------< end of file >------------------------------##
