=== loader/mvme/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for MVME147/16x parts of vmelilo.
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#

##--------------------------------------------------------------------------##

TOPDIR				=	../..

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
						-I$(TOPDIR) -I$(LDRINC) -I.
AFLAGS				=	-Wa,-m68060

##--------------------------------------------------------------------------##
# Targets
#

all: mvme.o

##--------------------------------------------------------------------------##
# Clean up
#

clean:
	rm -f *.o *.data *.bin *.map

##--------------------------------------------------------------------------##

include ../Rules.make

##--------------------------------------------------------------------------##
# Dependencies
#

mvme.o:			mvme.c mvmebug.h mvmeipl.data mvmeloader.data \
				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
				$(LDRINC)/loaderdefs.h config.h

mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.ld
				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) mvmeloader.o \
					-o mvmeloader.bin -oformat binary -M >mvmeloader.map
				$(BIN2DATA) mvmeloader.bin mvmeloader_code > $@

mvmeipl.data:	mvmeipl.o loader.ld
				$(LD) -T loader.ld mvmeipl.o -o mvmeipl.bin \
					-oformat binary -M >mvmeipl.map
				$(BIN2DATA) mvmeipl.bin mvmeipl_code > $@

mvmeloader.o:	mvmeloader.c mvmebug.h $(LOADER_COMMON_INCS)

##-----------------------------< end of file >------------------------------##
