=== debian/changelog ===
vmelilo (1.3.2-1) unstable; urgency=high

  * Fixed problem where the default kernel is not added to the boot loader
    file map rendering any boot configuration relying on the default kernel
    unbootable.

 -- Nick Holgate <holgate@debian.org>  Thu, 18 Nov 1999 13:48:38 +0000

vmelilo (1.3.1-1) unstable; urgency=low

  * Recomplied with GCC 2.95.2.
  * Standards 3.0.1.

 -- Nick Holgate <holgate@debian.org>  Sun, 10 Oct 1999 22:52:21 +0100

vmelilo (1.3.0-1) unstable; urgency=low

  * Added new configuration file options:
       console
       root
       read-only
       read-write
  * Kernel command line parameters entered at boot prompt no longer replace
    options specified by config file 'cmdline' option, but are appended after.
  * Fixed off by one error when checking for full kernel command line.

 -- Nick Holgate <holgate@debian.org>  Wed,  7 Jul 1999 00:54:28 +0100

vmelilo (1.2.2-1) unstable; urgency=low

  * Fixed description of 'master-password' configuration option in man page. 

 -- Nick Holgate <holgate@debian.org>  Sun, 13 Jun 1999 23:19:19 +0100

vmelilo (1.2.1-1) unstable; urgency=high

  * Added support for SCSI_DISK[1-7]_MAJOR devices in 2.2 kernels.
  * Fixed incorrect machine type for MVME147.

 -- Nick Holgate <holgate@debian.org>  Fri, 14 May 1999 01:23:52 +0100

vmelilo (1.2.0-1) unstable; urgency=low

  * File I/O code in loader rewritten to support disks larger than 4Gb.
  * New IPL code for MVME.
  * BVME now uses an IPL to load the kernel loader.
  * Added MVME147 support.
  * Don't allow spaces in boot record name or alias.
  * Allow 'Yes', 'No' and numeric input for boolean config file parameters.
  * Abort if boot device not specified in either config file or command line.
  * Boot loader input timeout relaxed to mean idle time between key presses
    rather than time in which full input line must be entered.
  * Made larger portions of the loader code common to both BVME and MVME thus
    reducing the number of architecture specific functions required.
  * Converted Debian packaging rules to use debhelper.
  * Added VME specific bootinfo tags for future kernels.
  * Allow configuration file input lines to be continued with a backslash.
  * Configuration section marker '[options]' is no longer required at
    start of configuration file.
  * Reorganised source code directory structure to allow for conditional
    compilation of each supported sub-architecture.
  * A default value for the 'append' config parameter may now be specified
    in the global (options) part of the config file.
  * Modified the usage of 'cmdline', 'append' and boot prompt input to match
    that of tftplilo(8). i.e. 'cmdline' is used only if no boot prompt input
    is made then the 'append' parameter is appended.
  * Allow 'restricted' boot configurations without a password.
  * When listing boot configurations the loader now shows if configuration
    is restricted or needs a password.
  * Don't allow boot configurations with label or alias of 'su', 'help'
    or '?'.
  * Added master password configuration.
  * Entering ? or help at the boot prompt displays list of internal commands.
  * The following commands can now be entered at the boot prompt su, exit,
    debug, call, show and break.

 -- Nick Holgate <holgate@debian.org>  Mon, 10 May 1999 23:03:00 +0000
