## vmelilo 1.5.2

=== loader/bvme/Makefile ===
--- 
+++ 
@@ -41,14 +41,14 @@
 				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
 				$(LDRINC)/loaderdefs.h config.h
 
-bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.ld
-				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) bvmeloader.o \
-					-o bvmeloader.bin -oformat binary -M >bvmeloader.map
+bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.lds
+				$(LD) -T loader.lds $(LOADER_COMMON_OBJS) bvmeloader.o \
+					-o bvmeloader.bin --oformat binary -M >bvmeloader.map
 				$(BIN2DATA) bvmeloader.bin bvmeloader_code > $@
 
-bvmeipl.data:	bvmeipl.o loader.ld
-				$(LD) -T loader.ld bvmeipl.o -o bvmeipl.bin \
-					-oformat binary -M >bvmeipl.map
+bvmeipl.data:	bvmeipl.o loader.lds
+				$(LD) -T loader.lds bvmeipl.o -o bvmeipl.bin \
+					--oformat binary -M >bvmeipl.map
 				$(BIN2DATA) bvmeipl.bin bvmeipl_code > $@
