=== loader/mvme/Makefile ===
--- 
+++ 
@@ -41,14 +41,14 @@
 				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
 				$(LDRINC)/loaderdefs.h config.h
 
-mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.ld
-				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) mvmeloader.o \
-					-o mvmeloader.bin -oformat binary -M >mvmeloader.map
+mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.lds
+				$(LD) -T loader.lds $(LOADER_COMMON_OBJS) mvmeloader.o \
+					-o mvmeloader.bin --oformat binary -M >mvmeloader.map
 				$(BIN2DATA) mvmeloader.bin mvmeloader_code > $@
 
-mvmeipl.data:	mvmeipl.o loader.ld
-				$(LD) -T loader.ld mvmeipl.o -o mvmeipl.bin \
-					-oformat binary -M >mvmeipl.map
+mvmeipl.data:	mvmeipl.o loader.lds
+				$(LD) -T loader.lds mvmeipl.o -o mvmeipl.bin \
+					--oformat binary -M >mvmeipl.map
 				$(BIN2DATA) mvmeipl.bin mvmeipl_code > $@
 
 mvmeloader.o:	mvmeloader.c mvmebug.h $(LOADER_COMMON_INCS)
