=== debian/changelog ===
vmelilo (1.5.2) unstable; urgency=high

  * Removed canonicalisation of filenames referenced by loader file map,
    which broke the --root option. Restructuring needed to re-implement it.

 -- Nick Holgate <holgate@debian.org>  Mon, 23 Jul 2001 22:04:11 +0100

vmelilo (1.5.1) unstable; urgency=low

  * Rebuilt with GCC 2.95.4 and binutils 2.11.90.0.7. 

 -- Nick Holgate <holgate@debian.org>  Tue,  3 Jul 2001 14:13:56 +0100

vmelilo (1.5.0) unstable; urgency=low

  * Added 'optional' boot configuration option.
  * Added --quiet command line option.
  * Fixed problem with test mode and not yet created boot loader file.
  * Tidied up some output messages.
  * Improved accuracy of reported location of config file errors.

 -- Nick Holgate <holgate@debian.org>  Wed, 18 Apr 2001 00:26:33 +0100

vmelilo (1.4.0) unstable; urgency=low

  * Added facility to incorporate kernel command line parameters stored
    in boot ROM non-volatile storage.
  * Loader file map definitions use the canonicalised filename to ensure
    that a file is include only once and thus minimising the file map size.
  * BVME loader modified to call BVMBug using 'trap #15' calls, requires
    BVMBug revision G or later.

 -- Nick Holgate <holgate@debian.org>  Wed,  7 Mar 2001 23:16:54 +0000
