=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Depends: ${shlibs:Depends}
 Description: Linux kernel boot loader for m68k VME processor boards.
  Vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
- loader allowing direct booting from disk.  Includes support for Linux
- version 2.0, 2.1 and 2.2 compressed kernels.
+ loader allowing direct booting from disk.  Includes support for 
+ gzip compressed Linux kernel images.
  Currently vmelilo supports the BVME4000 and BVME6000 processor boards
  from BVM Ltd and the MVME147, MVME162, MVME166, MVME167, MVME172 and
  MVME177 processor boards from Motorola.
