## vmelilo 1.5.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # License.  See the file COPYING for more details.
 #
 #
+
+include Version.make
 
 DESTDIR				=
 BINDIR				=	/sbin
@@ -40,15 +42,19 @@
 #
 
 .PHONY:			all
-all:			subdirs vmelilo
+all:			subdirs vmelilo docs
 
 .PHONY:			subdirs
-subdirs:
+subdirs:		version.h
 				for i in $(SUBDIRS); do $(MAKE) -C $$i; done
 
 vmelilo:		$(OBJS) Makefile
 				$(CC) $(OBJS) -o vmelilo
 				$(STRIP) -R .note -R .comment vmelilo
+
+.PHONY:			docs
+docs:
+	$(MAKE) -C docs
 
 ##--------------------------------------------------------------------------##
 # Dependencies
@@ -58,17 +64,21 @@
 config.o:		config.c   vmelilo.h version.h $(LDRINC)/loaderdefs.h
 geometry.o:		geometry.c vmelilo.h version.h $(LDRINC)/loaderdefs.h
 
+version.h:		Version.make version.h.in
+	sed -e s/__VERSION__/$(VERSION)/ \
+		-e s/__DATE__/$(DATE)/ <version.h.in >version.h
+
 ##--------------------------------------------------------------------------##
 # Installation
 #
 
 .PHONY:		install install-bin install-man
-install:	install-bin install-man
+install:	all install-bin install-man
 
 install-bin: vmelilo
 	$(INSTALL) -o root -g root -m 0755 vmelilo             $(DESTDIR)$(BINDIR)/
 
-install-man:
+install-man: docs
 	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.8      $(DESTDIR)$(MANDIR)/man8/
 	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.conf.5 $(DESTDIR)$(MANDIR)/man5/
 
@@ -78,8 +88,8 @@
 
 .PHONY:			clean
 clean:
-				rm -f vmelilo *.o
-				for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done
+				rm -f vmelilo *.o version.h
+				for i in $(SUBDIRS) docs; do $(MAKE) -C $$i clean; done
 
 ##--------------------------------------------------------------------------##
 # General rules
