=== docs/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for VMELILO the VME Linux/m68k Kernel Loader man pages
#
# (c) Copyright 2001 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#
#

include ../Version.make

##--------------------------------------------------------------------------##

DOCS	=	vmelilo.8 vmelilo.conf.5

##--------------------------------------------------------------------------##

.PHONY:		all
all:		$(DOCS)

##--------------------------------------------------------------------------##

vmelilo.8:	vmelilo.8.in ../Version.make
		sed -e s/__VERSION__/$(VERSION)/ \
			-e s/__DATE__/$(DATE)/ <$@.in >$@

vmelilo.conf.5:	vmelilo.conf.5.in ../Version.make
		sed -e s/__VERSION__/$(VERSION)/ \
			-e s/__DATE__/$(DATE)/ <$@.in >$@

##--------------------------------------------------------------------------##

.PHONY:		clean
clean:
	rm -f $(DOCS)

##-----------------------------< end of file >------------------------------##
