=== utils/Makefile ===
--- 
+++ 
@@ -13,12 +13,9 @@
 HOSTCC				=	gcc
 HOSTCFLAGS			=	-Wstrict-prototypes -O2 -fomit-frame-pointer -Wall
 
-OBJS				=	dumpmap bin2data
+OBJS				=	dumpmap
 
 all:			$(OBJS)
-
-bin2data:		bin2data.c
-				$(HOSTCC) $(HOSTCFLAGS) -O bin2data.c -o bin2data
 
 dumpmapfile:	dumpmapfile.c ../vmelilo.h ../version.h $(LDRINC)/loaderdefs.h
 				$(CC) $(CFLAGS) -o dumpmap dumpmap.c
