=== loader/mvme/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 TOPDIR				=	../..
 
-CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
+CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 \
 						-I$(TOPDIR) -I$(LDRINC) -I.
 AFLAGS				=	-Wa,-m68060
