=== debian/changelog ===
vmelilo (1.5.3) unstable; urgency=low

  * Reworked to build with current toolchain.
  * Added Build-Depends.
  * Updated to standards version 3.6.1

 -- Richard Hirst <richard@sleepie.demon.co.uk>  Sun, 26 Oct 2003 14:58:16 +0000
