## vmelilo 1.5.4

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 .PHONY:			subdirs
 subdirs:		version.h
-				for i in $(SUBDIRS); do $(MAKE) -C $$i; done
+				set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i; done
 
 vmelilo:		$(OBJS) Makefile
 				$(CC) $(OBJS) -o vmelilo
