=== debian/changelog ===
vmelilo (1.5.4) unstable; urgency=low

  * Fix to build against current kernel headers
  * Fix to build with current toolchain
  * Add 'set -e' in Makefile to catch errors in subdirs
  * Fix bug detecting eof parsing config file

 -- Richard Hirst <richard@sleepie.demon.co.uk>  Mon, 12 Dec 2005 00:08:42 +0000
