=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vmelilo
 Section: base
 Priority: optional
-Maintainer: Nick Holgate <holgate@debian.org>
-Standards-Version: 3.0.1
+Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
+Build-Depends: debhelper
+Standards-Version: 3.6.1
 
 Package: vmelilo
 Architecture: m68k
