=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,13 @@
 #!/usr/bin/make -f
-
-package=vmelilo
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
-build-stamp:
+build:
 	dh_testdir
 
 	# compile the package.
 	$(MAKE)
-
-	touch build-stamp
 
 clean:
 	dh_testdir
@@ -24,8 +19,7 @@
 
 	dh_clean
 
-install: install-stamp
-install-stamp: build-stamp
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -34,7 +28,6 @@
 	# install the package into debian/tmp.
 	$(MAKE) DESTDIR=`pwd`/debian/tmp install-bin
 
-	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -49,11 +42,9 @@
 	dh_installexamples examples/*
 	dh_installmanpages
 	dh_installchangelogs
-	dh_movefiles
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
