=== debian/changelog ===
vmelilo (1.5.4+nmu1) unreleased; urgency=low

  * Non-maintainer upload.
  * Remove extraneous spaces
  * debian/source/format: new
  * Update COPYING with new FSF template due to postal address change
  * Fix FTBFS: copy needed kernel headers into package, suggested by
    waldi (from .../linux-headers-2.6.39-1-common_2.6.39-1_m68k.deb)
  * Prevent GCC from optimising away local variables only accessed
    from inline assembly code
  * Fix compiler and some lintian warnings
  * Upload to debian-ports.org unreleased due to removal from sid

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Jun 2011 22:41:04 +0000
