=== debian/control ===
Source: vmelilo
Section: admin
Priority: optional
Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
Build-Depends: debhelper
Standards-Version: 3.6.1

Package: vmelilo
Architecture: m68k
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux kernel boot loader for m68k VME processor boards
 vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
 loader allowing direct booting from disk. It includes support for gzip
 compressed Linux kernel images.
 Currently vmelilo supports the BVME4000 and BVME6000 processor boards
 from BVM Ltd and the MVME147, MVME162, MVME166, MVME167, MVME172 and
 MVME177 processor boards from Motorola.
