=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBIAN_EXTRAFLAGS+=	-I$$(pwd)/debian/kernel-headers
+DEBIAN_EXTRAFLAGS+=	-fno-strict-aliasing
+
 build:
 	dh_testdir
 
 	# compile the package.
-	$(MAKE)
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)"
 
 clean:
 	dh_testdir
@@ -15,7 +18,7 @@
 	rm -f build-stamp install-stamp
 
 	# clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" clean
 
 	dh_clean
 
@@ -26,7 +29,8 @@
 	dh_installdirs
 
 	# install the package into debian/tmp.
-	$(MAKE) DESTDIR=`pwd`/debian/tmp install-bin
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" \
+	    DESTDIR=$$(pwd)/debian/tmp install-bin
 
 
 # Build architecture-independent files here.
@@ -51,9 +55,8 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
-
